Customize Navigation Pane in React File Manager Component

18 Nov 20184 minutes to read

The navigation pane in the File Manager Component displays the folder hierarchy in a tree-like structure. You can customize the layout of each folder node in the navigation pane using the navigationPaneTemplate property. This allows you to modify the appearance of folders based on your application’s requirements.

You may use this template to show additional metadata, custom icons, or other UI elements alongside the folder name.

import { DetailsView, FileManagerComponent, NavigationPane, Toolbar, Inject } from '@syncfusion/ej2-react-filemanager';
import * as React from 'react';
function App() {
    let hostUrl = "https://physical-service.syncfusion.com/";
    let height = "375px";
    let ajaxSettings = {
        downloadUrl: hostUrl + 'api/FileManager/Download',
        getImageUrl: hostUrl + "api/FileManager/GetImage",
        uploadUrl: hostUrl + 'api/FileManager/Upload',
        url: hostUrl + "api/FileManager/FileOperations"
    };

    const navigationPaneTemplate = (item) => {
        return (
            <div className="e-nav-pane-node" style=>
                <span className="folder-name" style=>{item.name}</span>
            </div>
        );
    };

    return (<div className="control-section">
        <FileManagerComponent id="file" height={height} ajaxSettings={ajaxSettings} navigationPaneTemplate={navigationPaneTemplate}>
            <Inject services={[NavigationPane, DetailsView, Toolbar]} />
        </FileManagerComponent>
    </div>);
}
export default App;
import { DetailsView, FileManagerComponent, NavigationPane, Toolbar, Inject } from '@syncfusion/ej2-react-filemanager';
import * as React from 'react';

function App() {
  let hostUrl: string = "https://physical-service.syncfusion.com/";
  let height: string = "375px";
  let ajaxSettings: object = {
    downloadUrl: hostUrl + 'api/FileManager/Download',
    getImageUrl: hostUrl + "api/FileManager/GetImage",
    uploadUrl: hostUrl + 'api/FileManager/Upload',
    url: hostUrl + "api/FileManager/FileOperations"
  };
  const navigationPaneTemplate = (item: any): JSX.Element => {
    return (
      <div className="e-nav-pane-node" style=>
        <span className="folder-name" style=>{item.name}</span>
      </div>
    );
  };
  return (
    <div className="control-section">
      <FileManagerComponent id="file" height={height} ajaxSettings={ajaxSettings} navigationPaneTemplate={navigationPaneTemplate as any} >
        <Inject services={[NavigationPane, DetailsView, Toolbar]} />
      </FileManagerComponent>
    </div>
  );
}
export default App;
import * as React from 'react';
import * as ReactDOM from 'react-dom';
import App from './App';
ReactDOM.render(<App />, document.getElementById('root'));
import * as React from 'react';
import * as ReactDOM from 'react-dom';
import App from './App';

ReactDOM.render( <App />, document.getElementById('root') as HTMLElement);

Customize Navigation Pane in Angular File Manager Component

18 Nov 20182 minutes to read

The navigation pane in the File Manager Component displays the folder hierarchy in a tree-like structure. You can customize the layout of each folder node in the navigation pane using the navigationPaneTemplate property. This allows you to modify the appearance of folders based on your application’s requirements.

You may use this template to show additional metadata, custom icons, or other UI elements alongside the folder name.

import { BrowserModule } from '@angular/platform-browser'
import { NgModule } from '@angular/core'
import { FileManagerModule, NavigationPaneService, ToolbarService, DetailsViewService } from '@syncfusion/ej2-angular-filemanager'
import { Component } from '@angular/core';

@Component({
    imports: [FileManagerModule,],
    providers: [NavigationPaneService, ToolbarService, DetailsViewService],
    standalone: true,
    selector: 'app-root',
    styleUrls: ['./app.component.css'],
    template: `<ejs-filemanager id='file-manager' [ajaxSettings]='ajaxSettings' height="375px">
    <ng-template #navigationPaneTemplate let-data>
        <div class="e-nav-pane-node" style="display:inline-flex; align-items:center;">
            <span class="folder-name" style="margin-left:8px;"></span>
        </div>
    </ng-template>
</ejs-filemanager>`
})

export class AppComponent {
    public ajaxSettings?: object;
    public hostUrl: string = 'https://physical-service.syncfusion.com/';
    public ngOnInit(): void {
        this.ajaxSettings = {
            url: this.hostUrl + 'api/FileManager/FileOperations',
            getImageUrl: this.hostUrl + 'api/FileManager/GetImage',
            uploadUrl: this.hostUrl + 'api/FileManager/Upload',
            downloadUrl: this.hostUrl + 'api/FileManager/Download'
        };
    };
}
@import "node_modules/@syncfusion/ej2-material3-theme/styles/file-manager/index.css";
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Customize Navigation Pane in Vue File Manager Component

18 Nov 20184 minutes to read

The navigation pane in the Vue File Manager component displays the folder hierarchy in a tree-like structure. You can customize the layout of each folder node in the navigation pane using the navigationPaneTemplate property. This allows you to modify the appearance of folders based on your application’s requirements.

You may use this template to show additional metadata, custom icons, or other UI elements alongside the folder name.

<template>
    <div id="app">
        <ejs-filemanager id="file-manager" :ajaxSettings="ajaxSettings" :navigationPaneTemplate="navigationPaneTemplate">
        </ejs-filemanager>
    </div>
</template>
<script setup>
import { provide } from "vue";
import { FileManagerComponent as EjsFilemanager, DetailsView, NavigationPane, Toolbar } from "@syncfusion/ej2-vue-filemanager";
import { createApp } from 'vue';
const app = createApp();
const demoNavigationPaneTemplate = app.component('navigationPaneTemplate', {
  template: `
    <div class="e-nav-pane-node" style="display:inline-flex;align-items:center;">
      <span class="folder-name" style="margin-left:8px;"></span>
    </div>
  `,
  data() {
    return { data: {} };
  }
});
const navigationPaneTemplate = function () {
    return { template: demoNavigationPaneTemplate };
};
const ajaxSettings =
{
    url: "https://physical-service.syncfusion.com/api/FileManager/FileOperations",
    getImageUrl: "https://physical-service.syncfusion.com/api/FileManager/GetImage",
    uploadUrl: "https://physical-service.syncfusion.com/api/FileManager/Upload",
    downloadUrl: "https://physical-service.syncfusion.com/api/FileManager/Download"
};
provide('filemanager',  [DetailsView, NavigationPane, Toolbar]);
</script>
<style>
    @import "../node_modules/@syncfusion/ej2-material3-theme/styles/file-manager/index.css";
</style>
<template>
    <div id="app">
        <ejs-filemanager id="file-manager" :navigationPaneTemplate="navigationPaneTemplate" :ajaxSettings="ajaxSettings">
        </ejs-filemanager>
    </div>
</template>
<script>
import { FileManagerComponent, DetailsView, NavigationPane, Toolbar } from "@syncfusion/ej2-vue-filemanager";
import { createApp } from 'vue';
const app = createApp();
const demoNavigationPaneTemplate = app.component('navigationPaneTemplate', {
  template: `
    <div class="e-nav-pane-node" style="display:inline-flex;align-items:center;">
      <span class="folder-name" style="margin-left:8px;"></span>
    </div>
  `,
  data() {
    return { data: {} };
  }
});
export default {
    name: "App",
    components: {
        "ejs-filemanager":FileManagerComponent
    },
    data () {
        return {
           ajaxSettings:
            {
                url: "https://physical-service.syncfusion.com/api/FileManager/FileOperations",
                getImageUrl: "https://physical-service.syncfusion.com/api/FileManager/GetImage",
                uploadUrl: "https://physical-service.syncfusion.com/api/FileManager/Upload",
                downloadUrl: "https://physical-service.syncfusion.com/api/FileManager/Download"
            },
            navigationPaneTemplate: function () {
                return { template: demoNavigationPaneTemplate };
            }
        };
    },
    provide: {
        filemanager: [DetailsView, NavigationPane, Toolbar]
    }
}
</script>
<style>
    @import "../node_modules/@syncfusion/ej2-material3-theme/styles/file-manager/index.css";
</style>